{% regroup column_content by column as content_list %}
{% load notifications_tags %}
{% notifications_unread as unread_count %}
<!-- 定义导航栏 ，黑色，固定在顶部-->
<nav class="navbar navbar-expand-lg navbar-dark bg-dark navbar-fixed-top">
  <div class="container-fluid">

    <!-- 同济堂 ，按钮点击可以返回主界面-->
    <div class="navbar-header">
      <a class="navbar-brand" href="/">同济堂</a>
<!-- 
片段名称：  进入三个板块界面的入口
作者:	    wzd qhy
时间：	    2020-8-7
功能：	   提供三个连接，可以分别进入 学习，生活，交友的板块列表
修改记录： 
--> 
          <!--板块1名称-->
          <span class="mt-2 ml-2"><i class="fas fa-graduation-cap" style="color:white; font-size:30px;"></i></span>
          <a class="navbar-brand" style="font-size:15px" href="{% url 'blocks:blocks_list_study'  %}">学习</a>

          <!--板块2名称-->
          <span class="mt-2 ml-2"><i class="far fa-calendar-alt" style="color:white; font-size:30px;"></i></span>
          <a class="navbar-brand" style="font-size:15px" href="{% url 'blocks:blocks_list_life'  %}">生活</a>


          <!--板块3名称-->
            <span class="mt-2 ml-2"><i class="fas fa-users" style="color:white; font-size:30px;"></i></span>
          <a class="navbar-brand" style="font-size:15px" href="{% url 'blocks:blocks_list_friend'  %}">交友</a>

    </div>
<!-- 
片段名称：  提供搜索模块
作者:	    ssc
时间：	    2020-8-7
功能：	   可以旋转进入问题，文章，用户搜索的界面
修改记录： 
--> 
    <ul class="nav navbar-nav navbar-right">
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" 
        role="button" data-toggle="dropdown" 
        aria-haspopup="true" aria-expanded="false"> 
        搜索</a>
          <!--如果有头像，会显示头像，没有头像，会显示用户名-->
      
      <div class="dropdown-menu" aria-labelledby="navbarDropdown">
        <a class="dropdown-item" href='/search_question'>问题搜索</a>
        <a class="dropdown-item" href="/search_article">文章搜索</a>
        <a class="dropdown-item" href="/search_user">用户搜索</a>
      </div>
  </li>

<!-- 
片段名称：  个人信息相关页面的入口
作者:	    ssc
时间：	    2020-8-7
功能：	   登入前和登入后有不同的显示，登入前提供跳转到登入的入口，登入后，提供进入我的收藏，
个人中心，通知等界面的的入口
修改记录： 
--> 
      {% if user.is_authenticated %}

      <a class="btn text-light" href="{% url 'userprofile:get_collect_record' user.id %}">我的收藏</a>
        <a class="btn text-light" href="{% url 'userprofile:user_get_myob' user.id %}">个人空间</a>
<!--<a class="btn text-light" href="https://www.runoob.com/html/html-links.html">{消息}</a>
      <a class="btn text-light" href="https://www.runoob.com/html/html-links.html">{动态}</a>-->
      {% endif %}
      <!-- Django的 if 模板语句 -->
      {% if user.is_authenticated %}
          <!-- 如果用户已经登录，则显示用户名下拉框 -->
          <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                  <!-- 新增代码，小红点 -->
        {% if unread_count %}
            <svg viewBox="0 0 8 8"
                 width="8px"
                 height="8px">
                <circle cx="4"
                        cy="4"
                        r="4"
                        fill="#ff6b6b"
                        ></circle>
            </svg>
        {% endif %}
                  {% if globle_profile.avatar %}
                  <img src={{ globle_profile.avatar.url }} alt={{user.username}} style="width: 40px;height: 40px; border-radius:50%;" />
                  {% else %}
                  <img src="https://ss0.bdstatic.com/94oJfD_bAAcT8t7mm9GUKT-xh_/timg?image&quality=100&size=b4000_4000&sec=1592383038&di=3918b09a3244e0fa942873a932879bc8&src=http://pic.soutu123.cn/element_origin_min_pic/01/37/09/22573c3a831082c.jpg!/fw/700/quality/90/unsharp/true/compress/true" alt={{user.username}} style="width: 40px;height: 40px; border-radius:50%;" />
                  {% endif %}
                  <!--如果有头像，会显示头像，没有头像，会显示用户名-->
              </a>

              <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                  <a class="dropdown-item" href="{% url "notice:list" %}">通知
            {% if unread_count %}
            <span class="badge badge-danger">{{ unread_count }}</span>
            {% endif %}
        </a>
                <a class="dropdown-item" href='{% url "userprofile:profile" user.id %}'>个人信息</a>
                  <a class="dropdown-item" href='{% url "userprofile:logout" %}'>退出登录</a>
<!--                <a class="dropdown-item" href='{% url "userprofile:delete" user.id %}'>删除用户</a>-->
              </div>
          </li>
      <!-- 如果用户未登录，则显示 “登录” -->
      {% else %}
          <li class="nav-item">
              <a class="nav-link" href="{% url 'userprofile:login' %}">登录</a>
          </li>                    
      <!-- if 语句在这里结束 -->
      {% endif %}
    </ul>
  </div>
</nav>